tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Miguel Moquillon (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TIKA-811) Upgrade metadatExtractor version for OpenJDK 7 support
Date Fri, 29 Jun 2012 07:46:44 GMT

    [ https://issues.apache.org/jira/browse/TIKA-811?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13403759#comment-13403759
] 

Miguel Moquillon commented on TIKA-811:
---------------------------------------

Tika is now in version 1.1 and depends again on the old beta version 2.4.0-beta-1 of metadata-extractor.
Latter is currently in stable version 2.6.2.

This version is available in the Nexus at https://www.silverpeas.org/nexus/ (more exactly
at https://www.silverpeas.org/nexus/content/groups/silverpeas/com/drewnoakes/metadata-extractor/2.6.2/).
Its dependency on the Adobe XMP Core library is also available in this Nexus (more exactly
at https://www.silverpeas.org/nexus/content/groups/silverpeas/com/adobe/xmp/xmp-core/5.1.0/).
You can take and upload them into your central maven repo.

Please, integrate the patch in order to be compatible with OpenJDK 7 by depending on the latest
versions of metadata-extractor. This will us avoiding to patch tika by ourselves each time
a new version of tika is published.
                
> Upgrade metadatExtractor version for OpenJDK 7 support
> ------------------------------------------------------
>
>                 Key: TIKA-811
>                 URL: https://issues.apache.org/jira/browse/TIKA-811
>             Project: Tika
>          Issue Type: Bug
>          Components: parser
>    Affects Versions: 1.0
>         Environment: OpenJDK 7
>            Reporter: Emmanuel Hugonnet
>              Labels: patch, upgrade
>         Attachments: metadata.diff
>
>
> The metadataextractor library (2.4.0-beta-1) is quite old and is depending on some Sun
classes thus making it unable to run on openJDK 7 which is now the default JDK on Linux distributions.
> Upgrading the library to the new version 2.5.0-RC3 fixes this issue but the API has changed.
> Appending a patch to the MetadataExtactor class (and the tests) to take advantage of
this.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message